Get the list of archived event files
GET /api
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested Archived Event files
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectCreatedDatestring
Formatdate-time.FileBytesnumberIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ModifiedDatestring
Formatdate-time.Namestring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
JSON
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"CreatedDate": "2020-01-01T00:00:00.000Z",
"FileBytes": 0,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ModifiedDate": "2020-01-01T00:00:00.000Z",
"Name": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get the list of archived event files
GET /api
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested Archived Event files
ArchivedFilesobjectIdstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
JSON
{
"ArchivedFiles": {
"Id": "string",
"ItemType": "string",
"Items": [
{
"CreatedDate": "2020-01-01T00:00:00.000Z",
"FileBytes": 0,
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {},
"ModifiedDate": "2020-01-01T00:00:00.000Z",
"Name": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}
}Download an archived event file
GET /api
Path Parameters
fileNamestring (required)
The file name of archived events file to download.
Response
200 — Success
Example Response
JSON
"string"Delete an archived event file
DELETE /api
Path Parameters
fileNamestring (required)
The file name of archived events file to delete.
Response
200 — Success
Delete an archived event file
DELETE /api
Path Parameters
fileNamestring (required)
The file name of archived events file to delete.
Response
200 — Confirmation that the Archived Event File has been deleted, containing the filename
FileNamestring
Minimum length 1.
Example Response
JSON
{
"FileName": "string"
}